apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: np-{{ include "ycast.fullname" . }}
  labels:
    {{- include "ycast.labels" . | nindent 4 }}
spec:
  podSelector:
    matchLabels:
      app.kubernetes.io/name: {{ include "ycast.name" . }}
  policyTypes:
    - Ingress
  ingress:
    - ports:
        - port: {{ .Values.service.port }}
